create table if not exists medreport.ai_responses (
    id uuid unique not null default extensions.uuid_generate_v4 (),
    account_id uuid references medreport.accounts(id) on delete cascade not null,
    prompt_name varchar(50) not null,
    prompt_id varchar(50) not null,
    input jsonb not null,
    response jsonb not null,
    created_at timestamp with time zone not null default now(),
    latest_data_change timestamp with time zone not null
);